Bug 1459737 - [abrt] wireshark-qt: QObject::disconnect(): wireshark-qt killed by signal 11
[abrt] wireshark-qt: QObject::disconnect(): wireshark-qt killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:600423446c3ba75a9dd147e4119...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 22:55 EDT by Alexander Mayorov
Modified: 2018-05-29 07:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.28 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: cgroup (227 bytes, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: core_backtrace (13.57 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: cpuinfo (1.27 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: dso_list (17.27 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: environ (3.68 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: maps (86.13 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: open_fds (1.31 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-06-07 22:55 EDT, Alexander Mayorov
no flags Details

  None (edit)
Description Alexander Mayorov 2017-06-07 22:55:03 EDT
Description of problem:
Crashed after Wireshark main window had been closed.

Version-Release number of selected component:
wireshark-qt-2.2.6-4.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        wireshark -k -i -
crash_function: QObject::disconnect
executable:     /usr/bin/wireshark-qt
journald_cursor: s=375888cef57b49058eeb2f3c24389c57;i=6138a;b=93035e50e6e14a46b638c5ceb9731dbd;m=7fe170232f;t=55167ec47ff80;x=6ad6c9ee4ecdcee7
kernel:         4.11.3-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2956
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1145
 #3 QDBusConnectionPrivate::~QDBusConnectionPrivate at qdbusintegrator.cpp:1069
 #5 QDBusConnectionManager::run at qdbusconnection.cpp:186
 #6 QThreadPrivate::start at thread/qthread_unix.cpp:368

Potential duplicate: bug 1417872
Comment 1 Alexander Mayorov 2017-06-07 22:55:12 EDT
Created attachment 1285960 [details]
File: backtrace
Comment 2 Alexander Mayorov 2017-06-07 22:55:14 EDT
Created attachment 1285961 [details]
File: cgroup
Comment 3 Alexander Mayorov 2017-06-07 22:55:16 EDT
Created attachment 1285962 [details]
File: core_backtrace
Comment 4 Alexander Mayorov 2017-06-07 22:55:18 EDT
Created attachment 1285963 [details]
File: cpuinfo
Comment 5 Alexander Mayorov 2017-06-07 22:55:21 EDT
Created attachment 1285964 [details]
File: dso_list
Comment 6 Alexander Mayorov 2017-06-07 22:55:22 EDT
Created attachment 1285965 [details]
File: environ
Comment 7 Alexander Mayorov 2017-06-07 22:55:24 EDT
Created attachment 1285966 [details]
File: limits
Comment 8 Alexander Mayorov 2017-06-07 22:55:27 EDT
Created attachment 1285967 [details]
File: maps
Comment 9 Alexander Mayorov 2017-06-07 22:55:29 EDT
Created attachment 1285968 [details]
File: open_fds
Comment 10 Alexander Mayorov 2017-06-07 22:55:30 EDT
Created attachment 1285969 [details]
File: proc_pid_status
Comment 11 Alexander Mayorov 2017-06-07 22:55:32 EDT
Created attachment 1285970 [details]
File: var_log_messages
Comment 12 Alexander Mayorov 2017-06-07 22:55:34 EDT
Created attachment 1285971 [details]
File: exploitable
Comment 13 Alexander Mayorov 2017-06-16 15:22:31 EDT
Similar problem has been detected:

Crashed when closed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/wireshark /home/mayorov/Work/ / /Moscow.TestBed/Certification.HLR-FE7SP1/tests/rszi.pcap
crash_function: QObject::disconnect
executable:     /usr/bin/wireshark-qt
journald_cursor: s=375888cef57b49058eeb2f3c24389c57;i=11272b;b=94bf791f0c1c409c9c7566c8b7471e60;m=3b5e6cc316;t=552188c8b6a13;x=9a8a9eab29555113
kernel:         4.11.4-300.fc26.x86_64
package:        wireshark-qt-2.2.7-1.fc26
reason:         wireshark-qt killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Paweł 2017-07-12 06:04:46 EDT
Similar problem has been detected:

Just opening and closing Wireshark causes this error. It happened on Fedora 25 also.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/wireshark
crash_function: QObject::disconnect
executable:     /usr/bin/wireshark-qt
journald_cursor: s=1f216fd1cd5146589d206b080ddde7af;i=8b92;b=ccb8c40424e64151a687137b8f61bdc3;m=27c80aa2f;t=5541bd6a8f85d;x=e54d89b4e2177641
kernel:         4.11.9-300.fc26.x86_64
package:        wireshark-qt-2.2.7-1.fc26
reason:         wireshark-qt killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Paweł 2017-08-30 09:29:35 EDT
Hi, I can't reproduce this bug anymore on F25, up to date and Wireshark 2.2.7. 
Wireshark opens and closes ok, without errors, so I guess it's fixed for me.
Comment 16 Fedora End Of Life 2018-05-03 04:17:23 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2018-05-29 07:38:57 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.